org.eclipse.wst.jsdt.ui.actions

## Class OpenNewClassWizardAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.AbstractOpenWizardAction
    - - org.eclipse.wst.jsdt.ui.actions.OpenNewClassWizardAction

    public class OpenNewClassWizardAction
    extends AbstractOpenWizardAction

Action that opens the new class wizard. The action initialized the wizard with either the selection as configured by `#setSelection(org.eclipse.jface.viewers.IStructuredSelection)` or takes a preconfigured new class wizard page, see `setConfiguredWizardPage(NewClassWizardPage)`.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`OpenNewClassWizardAction()` Creates an instance of the `OpenNewClassWizardAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected INewWizard` `createWizard()` Creates and configures the wizard.
`void` `setConfiguredWizardPage(NewClassWizardPage page)` Sets a page to be used by the wizard or `null` to use a page initialized with values from the current selection (see `AbstractOpenWizardAction.getSelection()` and `#setSelection(org.eclipse.jface.viewers.IStructuredSelection)`).
`void` `setOpenEditorOnFinish(boolean openEditorOnFinish)` Specifies if the wizard will open the created type with the default editor.

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.AbstractOpenWizardAction

`doCreateProjectFirstOnEmptyWorkspace, getCreatedElement, getSelection, getShell, run, setSelection, setShell`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenNewClassWizardAction

    public OpenNewClassWizardAction()

Creates an instance of the `OpenNewClassWizardAction`.

### Method Detail

#### setConfiguredWizardPage

    public void setConfiguredWizardPage(NewClassWizardPage page)

Sets a page to be used by the wizard or `null` to use a page initialized with values from the current selection (see `AbstractOpenWizardAction.getSelection()` and `#setSelection(org.eclipse.jface.viewers.IStructuredSelection)`).

Parameters:
  `page` - the page to use or `null`

#### setOpenEditorOnFinish

    public void setOpenEditorOnFinish(boolean openEditorOnFinish)

Specifies if the wizard will open the created type with the default editor. The default behaviour is to open an editor.

Parameters:
  `openEditorOnFinish` - if set, the wizard will open the created type with the default editor

#### createWizard

    protected final INewWizard createWizard()
                                     throws CoreException

Description copied from class: `AbstractOpenWizardAction`
Creates and configures the wizard. This method should only be called once.

Specified by:
  `createWizard` in class `AbstractOpenWizardAction`
Returns:
  returns the created wizard.
Throws:
  `CoreException` - exception is thrown when the creation was not successful.